コンテンツにスキップ
AchaduDevelopers
Developers/API/offer_create
オファー

オファーの作成

保留中のオファーを公開せずに作成します。

POST/offersoffers:write
行動

変更は検証され、応答する前にキー アカウントに保存されます。返されたリソースを信頼できる情報源としてクエリします。

効果

リソースを変更し、対応するドメイン イベントを発行できます。

繰り返し

ネットワーク障害が発生した場合は、リソースの状態を確認してから再試行してください。バックオフとジッターを使用して 429 と 5xx のみを自動的にやり直します。

リクエスト

urlstring · body製品の元の HTTPS URL。uri · maxLength 2000必須
titlestring · bodyオファーの公開タイトル。minLength 3 · maxLength 240必須
marketplacestring · bodyソースマーケットプレイス。maxLength 40オプション
pricenumber · body現在の価格。オプション
original_pricenumber · body以前の価格。オプション
currencystring · bodyISO 4217 通貨。minLength 3 · maxLength 8 · default BRLオプション
imagestring · body画像のHTTPS URL。uriオプション
storestring · body店名。オプション
categorystring · bodyカテゴリ。オプション
couponstring · bodyクーポンコード。オプション
copystring · bodyオファーの編集テキスト。maxLength 6000オプション
statusstring · body厳選されたステータス。オプション
AuthorizationBearer ach_live_...
Acceptapplication/json
範囲offers:write

実行ファイルの例

curl
curl -X POST 'https://achadu.com/api/v1/offers' \
  -H 'Authorization: Bearer ach_live_...' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data '{
  "url": "https://example.com/product",
  "title": "Air fryer 5L",
  "marketplace": "string",
  "price": 329.9,
  "original_price": 329.9
}'

応答とエラー

すべての応答には request_id が含まれます。リストにはページネーションが追加されます。可変リソースは、操作後に永続化された状態を返します。

201 application/json
{
  "data": {
    "id": "off_01J...",
    "marketplace": "amazon",
    "title": "Air fryer 5L",
    "url": "https://example.com/product",
    "price": 329.9,
    "currency": "BRL",
    "review_status": "pending",
    "created_at": "2026-08-31T18:20:00.000Z"
  },
  "created": true,
  "request_id": "req_01J..."
}
201Resource created and persisted.
400Invalid parameter, body or transition.
401キーが見つからない、無効、期限切れ、または取り消されています。
402アカウント プランでは、このインターフェイスはリリースされません。
403A chave precisa do escopo offers:write.
404このアカウントには機能が存在しません。
409The current state prevents this operation.
413The JSON body exceeds 128 KB.
4291 分あたり 120 リクエストのウィンドウを超えました。